
D4Science Infrastructure - Task #1492

Create another cassandra dev node just like cassandra1-d-d4s.d4science.org

Nov 23, 2015 10:13 AM - Massimiliano Assante

Status: Closed Start date: Nov 23, 2015

Priority: High Due date: Nov 27, 2015

Assignee: Tommaso Piccioli % Done: 100%

Category: High-Throughput-Computing Estimated time: 2.00 hours

Target version: Cassandra + version upgrade   

Infrastructure: Development   

Description

We need to experiment on Cassandra clusters, in particular to be resilient to hardware problems.

To do so, we need at least another node with the same characteristics of cassandra1-d-d4s.d4science.org. We will need an empty

Cassandra so do not clone the machine, assuming you used an Ansible Playbook for cassandra1-d... it would be needed just to

reapply it for cassandra2-d-...

Please, also grant me and Costantino root access 

History

#2 - Nov 26, 2015 12:10 PM - Tommaso Piccioli

- Status changed from New to Closed

- % Done changed from 0 to 100

new host cassandra2-d-d4s.d4science.org up and running

access granted to Assante and Perciante

Cassandra system already installed, to be configured

#3 - Nov 26, 2015 12:38 PM - Massimiliano Assante

- Status changed from Closed to In Progress

- Priority changed from Normal to High

- % Done changed from 100 to 50

Thanks Tom, however we think you installed the latest version released (3.0.0) which requires Java 8 and is not stable like the 2.2.3 version. It should

be downgraded, the same happened with the cassandra1 node, you upgraded and now we cannot use it.

#4 - Nov 27, 2015 10:09 AM - Tommaso Piccioli

packages cassandra and cassandra-tools downgraded and holded to version 2.2.3

Data and configuration are untouched.

Please close the ticket if it is all OK.

#5 - Dec 09, 2015 03:59 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
